@import "variables";
@import "mixins";
@import "reset";

body{
  font-family: $font-family;
}
.container {
  max-width: 1170px;
  padding: 0 15px;
  margin: 0 auto;
}

//Header

.header_burger{
  display: none;
  flex-direction: column;
  margin-left: auto;
  cursor: pointer;
  background-color: #000000;
  padding: 13px;
}

.header-menu_nav {
  margin: 45px 0;
}
.nav-list {
  @include flex;
  justify-content: space-evenly;
  position: relative;
  z-index: 2;

  &_items {
    font-weight: normal;
    font-size: 10px;
    line-height: 22px;
    letter-spacing: 1.1px;
    text-transform: uppercase;
    text-decoration: none;
  }
  &_item_link{
    text-decoration: none;
    color: $colorText;
    cursor: pointer;
  }
  &_item_link:hover{
    color: #57A4A4;
  }
}

.header-menu_img {
  width: 100%;
  display: block;
  object-fit: cover;
}

//Main

.title {
  font-weight: bold;
  font-size: 16px;
  line-height: 22px;
  text-transform: uppercase;
  color: $colorText;

  &:before{
    content: '- ';
    font-size: 16px;
    line-height: 22px;
    color: $colorText;
  }
}

.recent-posts {
  margin-bottom: 65px;

  &_slogan {
    margin-top: 65px;
    margin-bottom: 23px;
  }
  &_list{
    @include gridTwoColumns;
  }
  &_list_item{
    @include flex;
  }
}

.recent-posts_item_image {
  height: 100%;
  width: 100%;
  display: block;
  object-fit: cover;
}

.recent-posts_item_info{
  padding-left: 21px;

  &_title{
    font-weight: bold;
    font-size: 16px;
    line-height: 30px;
  }
  &_slogan{
    font-size: 12px;
    line-height: 20px;
    color: $colorTextComment;
  }
  &_description{
    font-size: 14px;
    line-height: 26px;
    color: $colorTextComment
  }
}
.slogan-after:after{
  content: '/';
  padding: 0 10px;
}

// instagram shots

.instagram-shots {
  background-color: #eaeaea;

  &_header {
    padding-top: 47px;
    padding-bottom: 25px;
    @include flex;
    justify-content: space-between;
  }
  &_images {
    padding-bottom: 50px;
    @include flex;;
  }
  &_item:not(:last-child){
    margin-right: 5px;
  }
  &_img{
    width: 100%;
    display: block;
    object-fit: cover;
  }
  &_header_slogan{
    font-style: normal;
    font-weight: bold;
    font-size: 13px;
    text-transform: uppercase;
  }
}
.instagram-shots_header_slogan:after{
  content: " -";
  font-weight: bold;
  font-size: 13px;
}

//footer

.footer{
  max-width: 100%;
  text-align: center;
  color: $colorFooter;
  font-weight: normal;
  font-size: 16px;
  line-height: 26px;
  background-color: #000;

  &_title{
    color: white;
    padding-top: 66px;
    padding-bottom: 22px;
  }

  &_description{
    padding-bottom: 35px;
    margin: 0 450px;
  }

  &_title:before,
  &_title:after {
    content: " - ";
    color: white;
  }

  &_contacts_phone:before,
  &_contacts_phone:after{
    content: " / ";
    color: #7C7C7C;
  }

  &_contacts{
    padding-bottom: 70px;
    padding-top: 35px;
  }

  &_icons {
    margin-right: 6px;

    &_rass{
      border: 2px solid $colorRass;
      @include icons
    }
    &_fb{
      border: 2px solid $colorFb;
      @include icons
    }
    &_dribbble{
      border: 2px solid $colorDribbble;
      @include icons
    }
    &_twitter{
      border: 2px solid $colorTwitter;
      @include icons
    }
    &_pinterest{
      border: 2px solid $colorPinterest;
      @include icons
    }
  }
}


@media (max-width: 1199px){
  .recent-posts_list {
    grid-template-columns: 1fr;
  }
  .instagram-shots_item:nth-child(4){
    display: none;
  }
  .footer_description {
    margin: 0 120px;
  }
}

@media (max-width: 767px) {
  .recent-posts_list_item:nth-child(4){
    display: none;
  }
  .instagram-shots_item:not(:first-child){
    display: none;
  }
  .instagram-shots_header_slogan{
    display: none;
  }
  .footer_description {
    margin: 0 35px;
  }
  .footer_contacts{
    margin: 0 70px;
  }
  .recent-posts_item_image {
    height: 50%;
    width: 50%;
  }
  .recent-posts_list_item {
    display: block;
  }
  .recent-posts_item_info_description {
    display: none;
  }
  .recent-posts_item_info{
    padding-left: 0;
    padding-top: 13px;
  }
  .header_burger {
    display: block;
    position: relative;
    z-index: 5;
    width: 44px;
    height: 37px;
    background-color: #030000;
  }
  .header_burger span {
    position: absolute;
    background-color: #fff;
    left: 16px;
    width: 50%;
    height: 1px;
    top: 30px;
  }
  .header_burger:before,
  .header_burger:after {
    content: "";
    background-color: #fff;
    position: absolute;
    width: 50%;
    height: 1px;
    left: 16px;
  }
  .header_burger:before {
    top: 15px;
  }
  .header_burger:after {
    bottom: 15px;
  }
  .nav-list {
    position: fixed;
    top: -100%;
    right: 0;
    width: 182px;
    height: 208px;
    background-color: #F5F5F5;
    display: block;
    margin-top: 110px;
    margin-right: 15px;
    transition: all 0.3s ease 0s;
  }
  .nav-list.active{
    top: 0;
  }
  .nav-list_items {
    padding-left: 12px;
    padding-top: 5px;
  }
  .nav-list_items:hover{
    background-color: #E5E5E5;
  }
  .header_burger.active:before {
    transform: rotate(45deg);
    top: 30px;
  }
  .header_burger.active:after {
    transform: rotate(-45deg);
    bottom: 30px;
  }
  .header_burger.active span{
    transform: scale(0);
  }
}
